---
title: SecurityPolicyViolationEvent.sample
slug: Web/API/SecurityPolicyViolationEvent/sample
tags:
  - API
  - CSP
  - Experimental
  - HTTP
  - Property
  - Reference
  - Sample
  - Security
  - SecurityPolicyViolationEvent
---
<div>{{APIRef("{{HTTPSidebar}}")}}{{ SeeCompatTable() }}</div>

<p>The <code><strong>sample</strong></code> read-only property of the {{domxref("SecurityPolicyViolationEvent")}} interface is a {{domxref("DOMString")}} representing a sample of the resource that caused the violation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">let <var>sample</var> = <var>violationEventInstance</var>.sample;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing a sample of the resource that caused the violation, usually the first 40 characters. This will only be populated if the resource is an inline script, event handler, or style — external resources causing a violation will not generate a sample.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">document.addEventListener("securitypolicyviolation", (e) =&gt; {
  console.log(e.sample);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSP 3.0','#dom-securitypolicyviolationevent-sample','sample')}}</td>
   <td>{{Spec2('CSP 3.0')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SecurityPolicyViolationEvent.sample")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/CSP">Content Security Policy (CSP)</a></li>
</ul>
